### Method

# WebKit2WebExtension DOMElement set_attribute

#### Declaration [src]

    void
    webkit_dom_element_set_attribute (
      WebKitDOMElement* self,
      const gchar* name,
      const gchar* value,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`name` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.